%define libname_orig    libbtrfs
%define major           0
%define libname         %mklibname btrfs %{major}
%define majorutil       1
%define libutilname     %mklibname btrfsutil %{majorutil}
%define develname       %mklibname btrfs -d

Name:           btrfs-progs
Version:        6.2.2
Release:        %mkrel 1
Summary:        Userspace programs for btrfs
Group:          System/Kernel and hardware
License:        GPLv2
URL:            https://btrfs.wiki.kernel.org/
Source0:        https://www.kernel.org/pub/linux/kernel/people/kdave/%{name}/%{name}-v%{version}.tar.xz
Patch0:         btrfs-progs-recognize-fsck.btrfs-like-btrfsck.patch

# Backports from upstream

BuildRequires:  e2fsprogs-devel
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(blkid)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  acl-devel
BuildRequires:  liblzo-devel
BuildRequires:  asciidoc
BuildRequires:  xmlto
BuildRequires:  pkgconfig(libudev)
BuildRequires:  python3-devel >= 3.4
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
Requires:       %{libname_orig} = %{version}-%{release}

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package -n     %{libname}
Summary:        Main library for btrfs
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with btrfs.

%package -n     %{libutilname}
Summary:        Util library for btrfs
Group:          System/Libraries

%description -n %{libutilname}
This package contains the util library needed to run programs dynamically
linked with btrfs.

%package -n     %{develname}
Summary:        Headers for developing programs that will use btrfs
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       btrfs-devel = %{version}-%{release}

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use btrfs.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

%build
./autogen.sh
%configure --bindir %{_sbindir} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
%make_install
%{__mkdir_p} %{buildroot}%{_datadir}/bash-completion/completions
cp btrfs-completion %{buildroot}%{_datadir}/bash-completion/completions/btrfs
rm -f %{buildroot}%{_libdir}/*.a

%files
%doc CHANGES COPYING
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfsck
%{_sbindir}/btrfstune
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_mandir}/man*/*
%{_datadir}/bash-completion/completions/btrfs
%{_udevrulesdir}/64-btrfs-dm.rules
%{_udevrulesdir}/64-btrfs-zoned.rules

%files -n %{libname}
%{_libdir}/libbtrfs.so.%{major}{,.*}

%files -n %{libutilname}
%{_libdir}/libbtrfsutil.so.%{majorutil}{,.*}

%files -n %{develname}
%{_includedir}/btrfs/
%{_includedir}/btrfsutil.h
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so
%{_libdir}/pkgconfig/libbtrfsutil.pc


%changelog
* Sun Mar 26 2023 tmb <tmb> 6.2.2-1.mga9
+ Revision: 1950407
- update to 6.2.2

* Thu Feb 09 2023 ghibo <ghibo> 6.1.3-1.mga9
+ Revision: 1939628
- Update to release 6.1.3

* Fri Jan 06 2023 ghibo <ghibo> 6.1.2-1.mga9
+ Revision: 1930725
- Update to release 6.1.2

* Sun Dec 04 2022 joequant <joequant> 6.0.2-1.mga9
+ Revision: 1917847
- update to 6.0.2

* Sun Nov 20 2022 joequant <joequant> 6.0.1-1.mga9
+ Revision: 1909126
- update to 6.0.1

* Wed Oct 19 2022 ghibo <ghibo> 6.0-1.mga9
+ Revision: 1897733
- Update to release 6.0

* Sun Jul 10 2022 joequant <joequant> 5.18-1.mga9
+ Revision: 1868203
- update deps

* Sun Apr 17 2022 joequant <joequant> 5.16.2-1.mga9
+ Revision: 1850956
- update to 5.16.2

* Wed Mar 30 2022 umeabot <umeabot> 5.15.1-2.mga9
+ Revision: 1833716
- Mageia 9 Mass Rebuild

* Fri Dec 03 2021 luigiwalser <luigiwalser> 5.15.1-1.mga9
+ Revision: 1760629
- 5.15.1

* Tue Nov 09 2021 tmb <tmb> 5.15-1.mga9
+ Revision: 1755258
- update to 5.15

* Sat Nov 06 2021 joequant <joequant> 5.14.91-1.mga9
+ Revision: 1754055
- update to 5.14.91

* Thu Oct 21 2021 joequant <joequant> 5.14.2-1.mga9
+ Revision: 1752466
- update to 5.14.2

* Sun Oct 03 2021 joequant <joequant> 5.14.1-1.mga9
+ Revision: 1748707
- update to 5.14.1

* Tue Jul 20 2021 joequant <joequant> 5.13-1.mga9
+ Revision: 1737116
- update to 5.13

* Sat May 15 2021 daviddavid <daviddavid> 5.12.1-1.mga9
+ Revision: 1723331
- new version: 5.12.1
- new version: 5.12

* Fri Apr 09 2021 daviddavid <daviddavid> 5.11.1-1.mga9
+ Revision: 1714313
- new version: 5.11.1

* Sun Mar 07 2021 tmb <tmb> 5.11-1.mga9
+ Revision: 1700548
- update to 5.11

* Tue Jan 19 2021 tmb <tmb> 5.10-1.mga8
+ Revision: 1672487
- update to 5.10

* Wed Oct 28 2020 luigiwalser <luigiwalser> 5.9-1.mga8
+ Revision: 1640135
- 5.9
- remove upstream patches

* Sun Jul 26 2020 luigiwalser <luigiwalser> 5.7-1.mga8
+ Revision: 1609108
- 5.7
- use upstream bash-completion file
- add patches from fedora backported from upstream:
  - fix to not use raid0 by default for mkfs multi-disk (rhbz#1855174)
  - fix for converting 64-bit ext4 filesystems (rhbz#1851674)

* Fri Apr 17 2020 tmb <tmb> 5.6-1.mga8
+ Revision: 1568501
- update to 5.6

* Sat Feb 22 2020 tmb <tmb> 5.4.1-1.mga8
+ Revision: 1549265
- update to 5.4.1

* Tue Feb 18 2020 umeabot <umeabot> 5.4-2.mga8
+ Revision: 1539293
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 05 2019 tmb <tmb> 5.4-1.mga8
+ Revision: 1464633
- update to 5.4

* Mon Dec 02 2019 tmb <tmb> 5.3.1-1.mga8
+ Revision: 1463999
- BR: python3-setuptools
- update to 5.3.1

* Fri Sep 06 2019 tmb <tmb> 5.2.2-1.mga8
+ Revision: 1437890
- update to 5.2.2

* Thu Aug 01 2019 tmb <tmb> 5.2.1-1.mga8
+ Revision: 1426751
- update to 5.2.1

* Sat Jun 15 2019 tmb <tmb> 5.1.1-1.mga7
+ Revision: 1399990
- update to 5.1.1 for full kernel 5.1 support

* Sun Mar 10 2019 tmb <tmb> 4.20.2-1.mga7
+ Revision: 1373554
- update to 4.20.2

* Sun Jan 13 2019 tmb <tmb> 4.19.1-1.mga7
+ Revision: 1356063
- update filelists
- update to 4.19.1

* Sat Nov 10 2018 tmb <tmb> 4.19-1.mga7
+ Revision: 1329412
- update to 4.19

* Sat Sep 22 2018 umeabot <umeabot> 4.17.1-2.mga7
+ Revision: 1295705
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 tmb <tmb> 4.17.1-1.mga7
+ Revision: 1254501
- update to 4.17.1

* Mon May 14 2018 tv <tv> 4.16-1.mga7
+ Revision: 1229618
- BR pkgconfig(libudev) rather than systemd
- BR systemd
- BR python3-devel
- new release (thus fixing build)

* Tue Nov 21 2017 tmb <tmb> 4.14-2.mga7
+ Revision: 1178374
- enable zstd support

* Tue Nov 21 2017 tmb <tmb> 4.14-1.mga7
+ Revision: 1178137
- update to 4.14

* Tue Aug 01 2017 joequant <joequant> 4.12-1.mga7
+ Revision: 1133809
- remove udev
- update to 4.12

* Tue Jan 03 2017 tmb <tmb> 4.9-2.mga6
+ Revision: 1079970
- fix filelist
- update to 4.9

* Thu May 19 2016 tmb <tmb> 4.5.3-1.mga6
+ Revision: 1016892
- update to 4.5.3

* Sat Mar 05 2016 tmb <tmb> 4.4.1-2.mga6
+ Revision: 986132
- rebase P1 to apply cleanly

* Sat Mar 05 2016 tmb <tmb> 4.4.1-1.mga6
+ Revision: 985939
- update to 4.4.1

* Thu Feb 11 2016 umeabot <umeabot> 4.1.2-2.mga6
+ Revision: 953547
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 cjw <cjw> 4.1.2-1.mga6
+ Revision: 867974
- patch1: work around for broken makefile
+ tmb <tmb>
- update to 4.1.2
- rebuild for new gcc

* Fri Jun 26 2015 tv <tv> 4.1-1.mga6
+ Revision: 844641
- adjust file list
- new release

* Mon Mar 30 2015 tmb <tmb> 3.19.1-1.mga5
+ Revision: 819387
- update to 3.19.1

* Sat Mar 14 2015 tmb <tmb> 3.19-1.mga5
+ Revision: 818510
- update to 3.19

* Thu Jan 29 2015 tmb <tmb> 3.18.2-1.mga5
+ Revision: 812669
- update to 3.18.2

* Tue Dec 30 2014 tmb <tmb> 3.18-1.mga5
+ Revision: 807483
- update to 3.18

* Mon Dec 08 2014 tmb <tmb> 3.17.3-1.mga5
+ Revision: 802229
- update to 3.17.3
- use _DEFAULT_SOURCE instead of obsolete _BSD_SOURCE
- update to 3.17 (in sync with kernel)

* Wed Oct 15 2014 umeabot <umeabot> 3.16.2-2.mga5
+ Revision: 751136
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tmb <tmb> 3.16.2-1.mga5
+ Revision: 734283
- 3.16.2 (maintenance release)

* Thu Sep 18 2014 umeabot <umeabot> 3.16-3.mga5
+ Revision: 693519
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.16-2.mga5
+ Revision: 678237
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tmb <tmb> 3.16-1.mga5
+ Revision: 673339
- update to 3.16
- update filelist

* Sun Jun 29 2014 tmb <tmb> 3.14.2-1.mga5
+ Revision: 641043
- update filelists
- BR: xmlto
- BR: asciidoc
- update to 3.14.2

* Fri Dec 27 2013 tmb <tmb> 3.12-2.mga4
+ Revision: 560964
- fix broken fsck.btrfs -a (mga #12046)

* Wed Dec 04 2013 tmb <tmb> 3.12-1.mga4
+ Revision: 555194
+ rebuild (emptylog)

* Wed Dec 04 2013 tmb <tmb> 3.12-0.1.mga4
+ Revision: 555193
- v3.12 final \o/

* Sat Oct 19 2013 umeabot <umeabot> 0.20-0.rc1.20130705.2.mga4
+ Revision: 533667
- Mageia 4 Mass Rebuild

* Tue Sep 03 2013 tmb <tmb> 0.20-0.rc1.20130705.1.mga4
+ Revision: 474671
- update to 2013-07-05 snapshot
+ joequant <joequant>
- add completions

* Thu Jun 20 2013 joequant <joequant> 0.20-0.rc1.20130607.2.mga4
+ Revision: 445276
- move build instructions to end of spec file
- remove static libs
  clean up libbtrfs libdir
- sync sources.  Patches should be incorporated in upstream
- upgrade to latest git

* Tue Apr 16 2013 tmb <tmb> 0.20-0.rc1.20130117.2.mga3
+ Revision: 410222
- BR libblkid-devel
- selected fixes from upstream:
  * Clear caches when opening and closing devices (P1, mga #9714)
  * Ignore the error ENXIO and ENOMEDIUM during a devs scan (P2)
  * bugfix for scrubbing single devices (P3)
  * Handle errors returned from open_ctree (P4, mga #9714)
  * fix resolving of loop devices (P5)
  * correct btrfs receive usage string (P6)
  * detect if the disk we are formatting is a ssd (P7)
  * add btrfs device ready command (P8, for dracut)
  * fix mkfs.btrfs -r option (P9)
  * btrfsck: Print which filesystem to be checked to stdout (P10)
  * dont print uuid unless -u option is given (P11)
  * don't free null path (P12)
  * handle errors reading fs roots (P13)

* Fri Feb 08 2013 tmb <tmb> 0.20-0.rc1.20130117.1.mga3
+ Revision: 396995
- install in /usr/sbin, not /sbin
- update to 0.20-rc1 as of 2013-01-17

* Fri Jan 11 2013 umeabot <umeabot> 0.19-1.20120328.2.mga3
+ Revision: 347211
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 22 2012 tmb <tmb> 0.19-1.20120328.1.mga2
+ Revision: 232555
- update to 2012-03-28 snapshot
  * switch back to master branch as dangerdonteveruse branch is now merged

* Sun Mar 25 2012 tmb <tmb> 0.19-1.20120222.1.mga2
+ Revision: 226164
- update to 2012-02-22 snapshot
  (first version that actually can fix some fs problems)

* Mon Dec 26 2011 tmb <tmb> 0.19-1.20111201.2.mga2
+ Revision: 187943
- build btrfs-select-super too (#3877)
- fix rename of restore to restore.btrfs properly

* Sat Dec 24 2011 tmb <tmb> 0.19-1.20111201.1.mga2
+ Revision: 187072
- update to 2011-12-01 snapshot

* Sat Nov 26 2011 tmb <tmb> 0.19-1.20111121.1.mga2
+ Revision: 172244
- pass ldflags to the build
- rename restore to restore.btrfs to not conflict with dump utility
- update filelist
- update to 2011-11-21 snapshot
+ kamil <kamil>
- URL fixed

* Mon Nov 21 2011 kamil <kamil> 0.19-1.20111027.2.mga2
+ Revision: 170664
- URL updated (mga #3035)
- removed the clean section and minor cleaning in the spec file

* Thu Oct 27 2011 tmb <tmb> 0.19-1.20111027.1.mga2
+ Revision: 158748
- update to 2011-10-27 snapshot

* Sun Mar 13 2011 tmb <tmb> 0.19-1.20101006.2.mga1
+ Revision: 70244
- add fsck.btrfs symlink

* Wed Feb 09 2011 ennael <ennael> 0.19-1.20101006.1.mga1
+ Revision: 49466
- imported package btrfs-progs


* Wed Dec 01 2010 Thomas Backlund <tmb@mandriva.org> 0.19-1.20101006.1mdv2011.0
+ Revision: 604264
- update to 2010-10-06 snapshot
- drop p0 (merged)

* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.19-1.20100412.1mdv2011.0
+ Revision: 603986
- fix build
- fix deps
- rebuild

* Mon Apr 12 2010 Pascal Terjan <pterjan@mandriva.org> 0.19-1.20100412.0mdv2010.1
+ Revision: 533682
- Update to git snapshot

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 0.19-1mdv2010.0
+ Revision: 409532
- Update to new version 0.19
- Use Mandriva %%optflags

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-3mdv2010.0
+ Revision: 409062
- updated buildrequires for libuuid
- rebuild with new libuuid

* Sat Jun 13 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-2mdv2010.0
+ Revision: 385760
- Added missing BuildRequires for btrfs-convert.
- Added btrfs-convert (#51617)

* Fri May 01 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1mdv2010.0
+ Revision: 369208
- Added BuildRequires on zlib1-devel.
- import btrfs-progs


* Thu Apr 30 2009 Eugeni Dodonov <eugeni@mandriva.com> 0.18-1
- Initial version.
